Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Oct 2019 14:53:36 +0300

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 8 Oct 2019 11:25:05 +0200
> 
>  > Which JPG image did you use?
> 
> One of me, in the mountains.  You mean we should settle on the same
> image if we find one we both can display.

That would help, yes.

>  >> doesn't look like TRT when FRAME is not the selected frame but so far
>  >> I have no idea how this code is supposed to behave at all.  In either
>  >> case, make sure the 'image-mode-saved-params' parameter is nil before
>  >> calling 'image-mode-fit-frame'.
>  >
>  > My recipe is in "emacs -Q",
> 
> I'm using emacs -Q too but which ...
> 
>  > so I guess this condition holds?
> 
> ... condition do you mean here?

The condition "make sure the 'image-mode-saved-params' parameter is
nil before calling 'image-mode-fit-frame'".